module top(
  in,
  // sw,
  out,
  seven_seg_1,
  seven_seg_0
);

  // Wire in directly to out.
  input [7:0] in;
  // input [3:0] sw;
  output [7:0] out;
  output [7:0] seven_seg_1;
  output [7:0] seven_seg_0;
 
  // sw pushbuttons are active low.
  // wire any_sw_pushed = ~&sw;
  assign out = in;

  // Drive a pattern onto the seven seg display, for sof identification
  // For testbench 2, how about '02'.  Oh, don't forget: the segments are
  // active low.
  // '0': a, b, c, d, e, f
  //                       abcdefgd
  assign seven_seg_1 = ~8'b11111100;
  
  // 2: a, b, d, e, g, dp
  //                       abcdefgd
  assign seven_seg_0 = ~8'b11011011;
  
endmodule

